import { filter } from 'rxjs/operators';
import { map } from 'rxjs/internal/operators';
import { Injectable, NgModule, Component, defineInjectable } from '@angular/core';
import { ActivatedRoute, Router, NavigationEnd, PRIMARY_OUTLET, RouterModule } from '@angular/router';
import { CommonModule } from '@angular/common';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class Ng7BootstrapBreadcrumbService {
    constructor() { }
}
Ng7BootstrapBreadcrumbService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
/** @nocollapse */
Ng7BootstrapBreadcrumbService.ctorParameters = () => [];
/** @nocollapse */ Ng7BootstrapBreadcrumbService.ngInjectableDef = defineInjectable({ factory: function Ng7BootstrapBreadcrumbService_Factory() { return new Ng7BootstrapBreadcrumbService(); }, token: Ng7BootstrapBreadcrumbService, providedIn: "root" });

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class Ng7BootstrapBreadcrumbComponent {
    /**
     * @param {?} activatedRoute
     * @param {?} router
     */
    constructor(activatedRoute, router) {
        this.activatedRoute = activatedRoute;
        this.router = router;
        this.breadcrumb = [];
        this.breadCrumbData();
    }
    /**
     * @return {?}
     */
    ngOnInit() {
    }
    /**
     * @return {?}
     */
    breadCrumbData() {
        this.router.events
            .pipe(filter((/**
         * @param {?} event
         * @return {?}
         */
        event => event instanceof NavigationEnd)))
            .pipe(map((/**
         * @return {?}
         */
        () => this.activatedRoute)))
            .pipe(map((/**
         * @param {?} route
         * @return {?}
         */
        (route) => {
            while (route.firstChild) {
                route = route.firstChild;
            }
            return route;
        })))
            .pipe(filter((/**
         * @param {?} route
         * @return {?}
         */
        route => route.outlet === PRIMARY_OUTLET)))
            .subscribe((/**
         * @param {?} route
         * @return {?}
         */
        route => {
            if (route.snapshot.data.breadcrumb) {
                /** @type {?} */
                const breadcrumb = (JSON.parse(JSON.stringify(route.snapshot.data.breadcrumb)));
                breadcrumb.map((/**
                 * @param {?} crumb
                 * @return {?}
                 */
                (crumb) => {
                    /** @type {?} */
                    const urlChunks = crumb.url.split('/');
                    for (const chunk of urlChunks) {
                        if (chunk.includes(':')) {
                            /** @type {?} */
                            const paramID = chunk.replace(':', '');
                            /** @type {?} */
                            const pharmacistID = route.snapshot.params[paramID];
                            crumb.url = crumb.url.replace(`:${paramID}`, pharmacistID);
                        }
                    }
                }));
                this.breadcrumb = breadcrumb;
            }
            else {
                this.breadcrumb = [];
            }
        }));
    }
}
Ng7BootstrapBreadcrumbComponent.decorators = [
    { type: Component, args: [{
                selector: 'app-ng7-bootstrap-breadcrumb',
                template: "<nav aria-label=\"breadcrumb\">\n    <ol class=\"breadcrumb\" *ngIf=\"breadcrumb.length\">\n        <ng-container *ngFor=\"let item of breadcrumb; let i = index\">\n            <li class=\"breadcrumb-item\" [ngClass]=\"{'active': breadcrumb.length !== i+1}\">\n                <a *ngIf=\"item?.url\" [routerLink]=\"item?.url\">{{ item.label }}</a>\n                <span *ngIf=\"!item?.url\">{{ item.label }}</span>\n            </li>\n        </ng-container>\n    </ol>\n</nav>\n",
                styles: [""]
            }] }
];
/** @nocollapse */
Ng7BootstrapBreadcrumbComponent.ctorParameters = () => [
    { type: ActivatedRoute },
    { type: Router }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class Ng7BootstrapBreadcrumbModule {
}
Ng7BootstrapBreadcrumbModule.decorators = [
    { type: NgModule, args: [{
                declarations: [Ng7BootstrapBreadcrumbComponent],
                imports: [
                    RouterModule,
                    CommonModule
                ],
                exports: [Ng7BootstrapBreadcrumbComponent]
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { Ng7BootstrapBreadcrumbService, Ng7BootstrapBreadcrumbComponent, Ng7BootstrapBreadcrumbModule };

//# sourceMappingURL=ng7-bootstrap-breadcrumb.js.map